Skip to main content
POST
Create a Stripe saved-card setup session

Authorizations

Authorization
string
header
required

Merchant-bound opaque customer access capability returned by fresh code verification or refresh.

Headers

Idempotency-Key
string
required

Caller-stable key reused only for retries of this exact request.

Required string length: 16 - 128
Pattern: ^[A-Za-z0-9._:-]{16,128}$

Path Parameters

locationId
string
required
Required string length: 1 - 128

Body

application/json
granted
enum<boolean>
required
Available options:
true
textVersion
enum<string>
required
Available options:
stripe-saved-card-v1

Response

Created Stripe SetupIntent session.

provider
enum<string>
required
Available options:
STRIPE
clientSecret
string
required
Minimum string length: 1
setupIntentId
string
required
Required string length: 1 - 128
status
enum<string>
required
Available options:
requires_payment_method,
requires_confirmation,
requires_action,
processing,
succeeded
Available options:
stripe-saved-card-v1